%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	An experimental terminal emulator.
Name:		vte
Version:	0.23.1
Release:	1
BuildArch:	i686
License:	GNU/GPL
URL:		ftp://ftp.gnome.org/pub/GNOME/sources/vte/0.11/%{name}-%{version}.tar.bz2
Group:		System/Libraries
Source0:	vte-%{version}.tar.bz2
#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libXrender-devel
BuildRequires: ncurses-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: python26-devel python26-pygtk-devel
BuildRequires: zlib-devel

%description
VTE is an experimental terminal emulator widget for use with GTK+ 2.0.

%package	devel
Summary:	vte development headers.
Group:		Development/Libraries
Requires:	vte = %{version}-%{release}

%description	devel
Header and include files for developing applications with vte.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n vte-%{version}

%build
%configure \
--enable-shared \
--enable-static \
--without-glX PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
# Remove the sample app.
rm $RPM_BUILD_ROOT/%{_bindir}/%{name}
# Remove static python modules and la files, which are probably useless to
# Python anyway.
rm -f $RPM_BUILD_ROOT/%{_libdir}/python*/site-packages/gtk-2.0/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/python*/site-packages/gtk-2.0/*.a

%files
%defattr(-,root,root)
%doc COPYING HACKING NEWS README doc/utmpwtmp.txt doc/boxes.txt src/iso2022.txt doc/openi18n/UTF-8.txt doc/openi18n/wrap.txt
%_libdir/*.so.*
%dir %_libdir/%{name}
%attr(2711,root,utmp) %{_libexecdir}/gnome-pty-helper
%_datadir/%{name}
%_libdir/python*/site-packages/*
%_datadir/locale
%_datadir/pygtk/2.0/defs/vte.defs

%files devel
%defattr(-,root,root)
%_datadir/gtk-doc/html/%{name}
%_includedir
%dir %_libdir/%{name}
%_libdir/%{name}/decset
%_libdir/%{name}/interpret
%_libdir/%{name}/osc
%_libdir/%{name}/slowcat
%_libdir/%{name}/window
%_libdir/*.la
%_libdir/*.a
%_libdir/*.so
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 0.23.1-1
- Version update
* Wed Apr 15 2009 Christian Metzen <metzench@ccux-linux.de> 0.20.1-1
- Version update
* Mon Apr 06 2009 Christian Wasem <wasem@ccux-linux.de> 0.20.0-1
- Version update
* Sat Jan 10 2009 Christian Metzen <metzench@ccux-linux.de> 0.19.4-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 0.16.13-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 0.16.9-1
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 0.16.0-1
- Version update
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.13.5-1
- Version Update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.12.0-1
- Version Update
* Sat Mar 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.11.20-1
- Version Update
* Fri Jul 15 2005 Christian Metzen <metzench@ccux-linux.de> 0.11.13-1
- Initial Release
